import request from '@/utils/request'

/**
* 接口管理/SAP出库任务记录表分页查询
* @param {查询条件} data
*/
export function listSapOutTaskRecord(query) {
  return request({
    url: 'SapInterface/QuerySapOutTaskRecord',
    method: 'get',
    params: query,
  })
}


/**
* 新增接口管理/SAP出库任务记录表
* @param data
*/
export function addSapOutTaskRecord(data) {
  return request({
    url: 'business/SapOutTaskRecord',
    method: 'post',
    data: data,
  })
}

/**
* 修改接口管理/SAP出库任务记录表
* @param data
*/
export function updateSapOutTaskRecord(data) {
  return request({
    url: 'business/SapOutTaskRecord',
    method: 'PUT',
    data: data,
  })
}

/**
* 获取接口管理/SAP出库任务记录表详情
* @param {Id}
*/
export function getSapOutTaskRecord(id) {
  return request({
    url: 'business/SapOutTaskRecord/' + id,
    method: 'get'
  })
}

/**
* 删除接口管理/SAP出库任务记录表
* @param {主键} pid
*/
export function delSapOutTaskRecord(pid) {
  return request({
    url: 'SapInterface/DeleteSapOutTaskRecord/' + pid,
    method: 'delete'
  })
}

// 清空接口管理/SAP出库任务记录表
export function clearSapOutTaskRecord() {
  return request({
    url: 'business/SapOutTaskRecord/clean',
    method: 'delete'
  })
}

// 导出接口管理/SAP出库任务记录表
export async function exportSapOutTaskRecord(query) {
  await downFile('business/SapOutTaskRecord/export', { ...query })
}

